=== modified file 'bzrlib/workingtree_4.py'
--- bzrlib/workingtree_4.py	2007-03-06 12:28:18 +0000
+++ bzrlib/workingtree_4.py	2007-03-06 13:21:01 +0000
@@ -478,8 +478,12 @@
                 # the root is not a reference.
                 continue
             path = pathjoin(self.basedir, key[0].decode('utf8'), key[1].decode('utf8'))
-            if self._kind(path) == 'tree-reference':
-                yield path, key[2]
+            try:
+                if self._kind(path) == 'tree-reference':
+                    yield path, key[2]
+            except errors.NoSuchFile:
+                # path is missing on disk.
+                continue
 
     @needs_read_lock
     def kind(self, file_id):

